<?php

require_once("../../Group-Office.php");

//Authenticate the user
$GO_SECURITY->json_authenticate('testmodule');

//Require the module class
require_once ($GO_MODULES->modules['testmodule']['class_path']."presidents.class.inc.php");
$presidents = new presidents();

$task=isset($_REQUEST['task']) ? $_REQUEST['task'] : '';

try{

	switch($task)
	{			

		/* {TASKSWITCH} */
		
		case 'save_president':
			/*
			 * This task is executed when we want to update a president with 
			 * president_id = $_REQUEST['president_id'] or
			 * whenever we want to create a new president
			 * president_id = 0;
			 */	
			$president_id=$president['id']=isset($_POST['president_id']) ? $_POST['president_id'] : 0;
			$president['firstname']= $_POST['firstname'];
			$president['lastname']= $_POST['lastname'];
			$president['IDparty'] = $_POST['IDparty'];			
			$president['tookoffice'] = $_POST['tookoffice'];
			$president['leftoffice'] = $_POST['leftoffice'];
			$president['income'] = $_POST['income'];
    		
			if($president['id']>0)
			{
				// update an existing president
				$president['income'] = Number::to_phpnumber($president['income']); 
				$president['tookoffice']=Date::to_input_format($president['tookoffice']);
				$president['leftoffice']=Date::to_input_format($president['leftoffice']);
							
				$presidents->update_president($president);
				$response['success']=true;

			}else
			{
				// create a new president
				$president['income'] = Number::to_phpnumber($president['income']); 
				$president['tookoffice']=Date::to_input_format($president['tookoffice']);
				$president['leftoffice']=Date::to_input_format($president['leftoffice']);
				
				$president_id= $presidents->add_president($president);							
				$response['president_id']=$president_id;
				$response['success']=true;
			}		
			break;
		
	}
}catch(Exception $e)
{
	$response['feedback']=$e->getMessage();
	$response['success']=false;
}

// return $response to the client in an JSON encoded string 
echo json_encode($response);
